<script>
import Todos from "./Todos.vue";
import ChangeInput from "./ChangeInput.vue"
import Watcher from "./Watcher.vue"
export default {
    name: "Main",
    components: {    
        Todos: Todos,
        ChangeInput: ChangeInput,
        Watcher:Watcher
    },
    data() {
        return {
            selectedComponent: null,  
            dictLanguage: {
                Todos: {}, 
                ChangeInput:{},
                Watcher:{}        
            }
        }
    },
    methods: {   
        loadComponent(event) {
            console.log("2---language=", event.target.value);          
            this.selectedComponent = event.target.value;
        },
        changeText(event) {
            this.text = event.target.value;
        }
    }
}
</script>
<template>  
    <p>
        <label for="languages">Choose a Example</label>
        <select id="languages" v-on:change="loadComponent" v-bind:value="selectedComponent">
            <option v-for="language in Object.keys(dictLanguage)" v-bind:key="language">
                {{ language }}
            </option>
        </select>
    </p>
    <component v-bind:is="selectedComponent"></component>
</template>
